Erro de instalação da IDE Lazarus [RESOLVIDO]

1. Erro de instalação da IDE Lazarus [RESOLVIDO]

Marcelo Passos da Costa Junior
MarceloCosta93

(usa Ubuntu)

Enviado em 13/03/2015 - 09:37h

Oi, gostaria de uma ajuda nesta situação, pois realmente procurei e não encontrei uma solução para o meu problema.

Segui os passos para instalar a IDE Lazarus pelo terminal (fonte:http://www.edivaldobrito.com.br/como-instalar-ide-lazarus-1-2-4-ubuntu/), mas quando digito o comando "sudo dpkg -i fpc*.deb" aparece o erro informado abaixo. E isso gerou um problema na minha Central de Problemas do Ubuntu.

<INÍCIO PROBLEMA>
[email protected]:/home/marcelocosta# sudo dpkg -i fpc*.deb
dpkg: aviso: a fazer downgrade a fpc de 2.6.4+dfsg-3 para 2.6.4
(Lendo banco de dados ... 259347 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar fpc_2.6.4-140420_i386.deb ...
A descompactar fpc (2.6.4) sobre (2.6.4+dfsg-3) ...
dpkg: erro ao processar o arquivo fpc_2.6.4-140420_i386.deb (--install):

a tentar sobre-escrever '/usr/lib/fpc/2.6.4/ide/unit.pt', que também está no pacote fp-ide-2.6.4 2.6.4+dfsg-3
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)
A preparar para desempacotar fpc-src_2.6.4-140420_i386.deb ...
A descompactar fpc-src (2.6.4) sobre (2.6.4) ...
Configurando fpc-src (2.6.4) ...
Erros foram encontrados durante o processamento de:
fpc_2.6.4-140420_i386.deb
<FIM PROBLEMA>

Agradeço desde já a colaboração de todos.
Abraços.


  


2. Re: Erro de instalação da IDE Lazarus [RESOLVIDO]

Daniel Lara Souza
danniel-lara

(usa Fedora)

Enviado em 13/03/2015 - 09:54h


só digitar no terminal

$ sudo apt-get install lazarus

pois já tem nos repositórios



3. Re: Erro de instalação da IDE Lazarus [RESOLVIDO]

Marcelo Passos da Costa Junior
MarceloCosta93

(usa Ubuntu)

Enviado em 13/03/2015 - 10:53h

danniel-lara escreveu:


só digitar no terminal

$ sudo apt-get install lazarus

pois já tem nos repositórios


Apliquei o comando mas ocorreu o seguinte:

<TERMINAL>
[email protected]:~$ sudo apt-get install lazarus
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
lazarus já é a versão mais nova.
Você deve querer executar 'apt-get -f install' para corrigí-los:
Os pacotes a seguir têm dependências desencontradas:
fpc-source : Depende: fpc-source-2.6.4 (= 2.6.4+dfsg-3) mas não será instalado
E: Dependências desencontradas. Tente 'apt-get -f install' sem nenhum pacote (ou especifique uma solução).
[email protected]:~$



4. Re: Erro de instalação da IDE Lazarus [RESOLVIDO]

Luiz Fernando Nunes
luizfnunes

(usa Debian)

Enviado em 13/03/2015 - 11:22h

O Lazarus já está instalado em seu computador, oproblema é que o fpc (que é uma dependência vital para que o programa funcione) é incompatível com o programa. Recomendo que desinstale ambos e vá até o site: http://sourceforge.net/projects/lazarus/files/Lazarus%20Linux%20i386%20DEB/Lazarus%201.2.6/ e instale os 3 pacotes .deb disponíveis. Ou você pode instalar direto do repositório (provavelmente não será uma versão mais atual)

Para desisntalar:

sudo apt-get remove lazarus
sudo apt-get remove fpc-source-2.6.4


Para instalar do repositório

sudo apt-get install fpc-source*
sudo apt-get install lazarus


==================================
Leia meu blog: http://zonafantasma.net
Dicas, curiosidades e programação
==================================


5. Re: Erro de instalação da IDE Lazarus [RESOLVIDO]

Marcelo Passos da Costa Junior
MarceloCosta93

(usa Ubuntu)

Enviado em 13/03/2015 - 14:18h

luizfnunes escreveu:

Para desisntalar:

sudo apt-get remove lazarus
sudo apt-get remove fpc-source-2.6.4




luizfnunes, baixei os pacotes e estão aqui, mas ao aplicar os comandos para desinstalação no terminal o resultado ainda é o mesmo de anteriormente. Estou ilhado.


6. Re: Erro de instalação da IDE Lazarus [RESOLVIDO]

Luiz Fernando Nunes
luizfnunes

(usa Debian)

Enviado em 13/03/2015 - 14:28h

Tente forçar a remoção do pacote quebrado usando o comando

sudo apt-get -f remove 



==================================
Leia meu blog: http://zonafantasma.net
Dicas, curiosidades e programação
==================================


7. Re: Erro de instalação da IDE Lazarus [RESOLVIDO]

Marcelo Passos da Costa Junior
MarceloCosta93

(usa Ubuntu)

Enviado em 13/03/2015 - 14:50h

luizfnunes escreveu:

Tente forçar a remoção do pacote quebrado usando o comando

sudo apt-get -f remove 




Já forcei e nada.

<TERMINAL>
[email protected]:~$ sudo apt-get -f remove lazarus
[sudo] password for marcelocosta:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você deve querer executar 'apt-get -f install' para corrigí-los:
Os pacotes a seguir têm dependências desencontradas:
fpc-source : Depende: fpc-source-2.6.4 (= 2.6.4+dfsg-3) mas não será instalado
E: Dependências desencontradas. Tente 'apt-get -f install' sem nenhum pacote (ou especifique uma solução).
[email protected]:~$





8. Re: Erro de instalação da IDE Lazarus [RESOLVIDO]

Luiz Fernando Nunes
luizfnunes

(usa Debian)

Enviado em 13/03/2015 - 15:07h

Marcelo, tanto o apt-get -f install quanto o apt-get -f remove devem ser dados sem o nome do programa. Mas se nenhum dos dois funcionar tente limpar o cache e forçar com o dpkg.


sudo apt-get clean
sudo dpkg -i --force-all




==================================
Leia meu blog: http://zonafantasma.net
Dicas, curiosidades e programação
==================================


9. Re: Erro de instalação da IDE Lazarus [RESOLVIDO]

Marcelo Passos da Costa Junior
MarceloCosta93

(usa Ubuntu)

Enviado em 13/03/2015 - 15:36h

Realmente, o comando funcionou quando tirei o nome do programa. Agradeço.
Mas agora, após aplicar os comandos da forma que me orientou, travou em outro ponto:

<TERMINAL>
[email protected]:~$ sudo apt-get -f remove
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes extra a seguir serão instalados:
fpc-source-2.6.4
Os NOVOS pacotes a seguir serão instalados:
fpc-source-2.6.4
0 pacotes atualizados, 1 pacotes novos instalados, 0 a serem removidos e 7 não atualizados.
1 pacotes não totalmente instalados ou removidos.
É preciso baixar 12,6 MB de arquivos.
Depois desta operação, 102 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] S
Obter:1 http://br.archive.ubuntu.com/ubuntu/ utopic/universe fpc-source-2.6.4 all 2.6.4+dfsg-3 [12,6 MB]
Obter:2 http://br.archive.ubuntu.com/ubuntu/ utopic/universe fpc-source-2.6.4 all 2.6.4+dfsg-3 [12,6 MB]
Baixados 2.227 kB em 8min 57s (4.140 B/s)
(Lendo banco de dados ... 259347 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../fpc-source-2.6.4_2.6.4+dfsg-3_all.deb ...
A descompactar fpc-source-2.6.4 (2.6.4+dfsg-3) ...
dpkg: erro ao processar o arquivo /var/cache/apt/archives/fpc-source-2.6.4_2.6.4+dfsg-3_all.deb (--unpack):
a tentar sobre-escrever '/usr/share/fpcsrc/2.6.4/rtl/qnx/Makefile.fpc', que também está no pacote fpc-src 2.6.4
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/fpc-source-2.6.4_2.6.4+dfsg-3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



10. Re: Erro de instalação da IDE Lazarus [RESOLVIDO]

Luiz Fernando Nunes
luizfnunes

(usa Debian)

Enviado em 13/03/2015 - 17:37h

Tá complicado, se fosse eu iria até /usr/share/ e removeria o diretório fpcsrc manualmente, já que é nele que está dando o conflito, mas não é garantido.
cd /usr/share
sudo rm -rf fpcsrc


Depois tentar a instalação como disse antes. Mas se for fazer tome muito cuidado com o comando rm -rf, é um daqueles comandos que não dá pra brincar.
==================================
Leia meu blog: http://zonafantasma.net
Dicas, curiosidades e programação
==================================


11. Re: Erro de instalação da IDE Lazarus [RESOLVIDO]

Brian Chalega da Silva
brian_ch

(usa Arch Linux)

Enviado em 13/03/2015 - 21:36h

Que tal primeiro tentar desinstalar esse deb que está dando conflito?

dpkg -r fpc-src


Seria melhor se você tivesse colocado a sua pergunta na comunidade do Ubuntu, ou na do Lazarus aqui do VOL, como o seu problema não é relacionado ao OTRS (a comunidade em que está essa pergunta), consequentemente vai ter menos gente com interesse / conhecimento sobre a sua dúvida pra te ajudar.


12. Re: Erro de instalação da IDE Lazarus [RESOLVIDO]

Marcelo Passos da Costa Junior
MarceloCosta93

(usa Ubuntu)

Enviado em 16/03/2015 - 23:43h

Moçada, agradeço toda ajuda de verdade.

O "problema" foi resolvido quando, primeiro, instalei o Lazarus pela Central de Programas e, em seguida, inicializei o programa pelo botão de pesquisar digitando o nome do programa. Rsrs..

Agradeço por tudo e acredito que este post vai servir para algum iniciante um dia que vier a ter esse problema rsrsr..






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts